Subject: Re: mmotm 2020-03-23-21-29 uploaded (pci/controller/dwc/pcie-tegra194.c)

From: Bjorn Helgaas <[email-masked]>
Date: Wed, 25 Mar 2020 16:20:48 -0500

On Wed, Mar 25, 2020 at 05:01:43PM +0000, Lorenzo Pieralisi wrote:
> On Wed, Mar 25, 2020 at 08:43:32PM +0530, Vidya Sagar wrote:
> > On 3/24/2020 9:48 PM, Bjorn Helgaas wrote:
> > > On Tue, Mar 24, 2020 at 08:16:34AM -0700, Randy Dunlap wrote:
> > > > On 3/23/20 9:30 PM, [email-masked] wrote:
> > > > > The mm-of-the-moment snapshot 2020-03-23-21-29 has been uploaded to
> > > > > 
> > > > >     http://www.ozlabs.org/~akpm/mmotm/
> > > > > 
> > > > > mmotm-readme.txt says
> > > > > 
> > > > > README for mm-of-the-moment:
> > > > > 
> > > > > http://www.ozlabs.org/~akpm/mmotm/
> > > > > 
> > > > > This is a snapshot of my -mm patch queue.  Uploaded at random hopefully
> > > > > more than once a week.
> > > > > 
> > > > > You will need quilt to apply these patches to the latest Linus release (5.x
> > > > > or 5.x-rcY).  The series file is in broken-out.tar.gz and is duplicated in
> > > > > http://ozlabs.org/~akpm/mmotm/series
> > > > 
> > > > 
> > > > on x86_64:
> > > > 
> > > > ../drivers/pci/controller/dwc/pcie-tegra194.c: In function ‘tegra_pcie_dw_parse_dt’:
> > > > ../drivers/pci/controller/dwc/pcie-tegra194.c:1160:24: error: implicit declaration of function ‘devm_gpiod_get’; did you mean ‘devm_phy_get’? [-Werror=implicit-function-declaration]
> > > >    pcie->pex_rst_gpiod = devm_gpiod_get(pcie->dev, "reset", GPIOD_IN);
> > > >                          ^~~~~~~~~~~~~~
> > > >                          devm_phy_get
> > > 
> > > Thanks a lot for the report!
> > > 
> > > This was found on mmotm, but I updated my -next branch with Lorenzo's
> > > latest pci/endpoint branch (current head 775d9e68f470) and reproduced
> > > this build failure with the .config you attached.
> > > 
> > > I dropped that branch from my -next branch for now and pushed it.
> > I found that one header file inclusion is missing.
> > The following patch fixes it.
> > Also, I wanted to know how can I catch this locally? i.e. How can I
> > generate the config file attached by Randy locally so that I can get the
> > source ready without these kind of issues?

Randy attached the config-r1578 file to his initial report.  I saved
that attachment, then:

  $ git checkout next
  $ make mrproper
  $ cp ~/Downloads/config-r1578 .config
  $ make drivers/pci/controller/

> > Bjorn/Lorenzo, would you be able to apply below change in your trees or
> > do I need to send a patch for this?
> 
> Squashed in and re-pushed out pci/endpoint, it should have fixed this
> issue.

I updated my -next branch with this, thanks!

Bjorn